oracle.pgx.api.admin

## Interface PoolInfo

-     public interface PoolInfo

  Information about a specific thread pool

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAliveTime()` Gets the number of seconds this pool is alive.
    `int` | `getBusyTime()` Gets the number of seconds this pool spent so far executing tasks.
    `int` | `getCpuTime()` Gets the cpu time.
    `int` | `getParallelism()` Gets the parallelism of this pool.
    `List<String>` | `getSessionIds()` Gets the session ids of the sessions that are currently using this pool.
    `PoolType` | `getType()` Gets the type of the thread pool.
    `boolean` | `isBusy()` Checks if the pool is busy.

- - ### Method Detail

    - #### getAliveTime

          int getAliveTime()

      Gets the number of seconds this pool is alive.
      Returns:
        number of seconds this pool is alive. Note that this value gets reseted on each `Control.resizePool(PoolType, int)`

    - #### getBusyTime

          int getBusyTime()

      Gets the number of seconds this pool spent so far executing tasks.
      Returns:
        number of seconds this pool spent so far executing tasks. Note that this value gets reseted on each `Control.resizePool(PoolType, int)`

    - #### getCpuTime

          int getCpuTime()

      Gets the cpu time.
      Returns:
        `getBusyTime()` times `getParallelism()`. Note that this value gets reseted on each `Control.resizePool(PoolType, int)`

    - #### getParallelism

          int getParallelism()

      Gets the parallelism of this pool.
      Returns:
        the current parallelism of this pool

    - #### getSessionIds

          List<String> getSessionIds()

      Gets the session ids of the sessions that are currently using this pool.
      Returns:
        which sessions are currently using this pool. This list will be empty if `PoolInfoImpl#isBusy()` is false.

    - #### getType

          PoolType getType()

      Gets the type of the thread pool.
      Returns:
        which pool this info refers to

    - #### isBusy

          boolean isBusy()

      Checks if the pool is busy.
      Returns:
        true if this pool is currently executing tasks, false if idle.

Copyright © 2015. All rights reserved.